Bug 141939 - "telnet" can not work.
"telnet" can not work.
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: telnet (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2004-12-06 04:04 EST by L3support
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-14 04:40:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description L3support 2004-12-06 04:04:39 EST
Description of problem:

"telnet" can not work,
when we changed "mtu" into less than 64.

We tried to "ping" on another PC at the time,
but can not receive.

Version-Release number of selected component (if applicable):
 - telnet-0.17-30
 - telnet-server-0.17-30

How reproducible:

Steps to Reproduce:
1."# ifconfig eth0 mtu 64"
2.Login using "telnet" on another PC.
Actual results:
We can not work "telnet".

Expected results:

What we'd like to know is as follows. 
 - Why can we change "mtu" into less than 64 ?
 - How to re-connect without reboot.(if any) 
 - Message "SIOCSIFMTU: Invalid argument" is shown,
   we changed "mtu" into less than 40.
   Why can we change "mtu" into less than 40 ?

Additional info:
 - client:RHEL-Beta1
 - host  :RHEL-Beta2
Comment 3 Harald Hoyer 2004-12-06 10:10:52 EST
Well, if you have an ethernet interface, setting the MTU below or
equal 64 is, well ... , not very productive, because no DATA could be
sent, except the pure ethernet packet..
Comment 4 L3support 2004-12-06 20:13:28 EST
Please not close this problem.

Is what you say follows info is hardware's feature ?
 - MTU's min is setting less than 64.
 - If MTU's value is 40, software do not recognize.

 --- Is the setting info indicated hardware specifications ?
     Or can we find linux command ?
Moreover, could you teach me how to re-connect.
Comment 5 Harald Hoyer 2004-12-07 06:49:56 EST
for these kind of questions, we created a mailing list, where you can
meet lots of helpful people from all around the world. The list is
called fedora-list mailing list (fedora-list@redhat.com) and you can
subscribe by visiting http://www.redhat.com/mailman/listinfo/fedora-list

Thank you
and have fun

Harald Hoyer 
Comment 6 L3support 2005-01-14 02:30:05 EST
We wish answer from Bugzilla.
Because we explain to user, "Answer from Bugzilla is .....".

Our analysis is right ?
If we set mtu less than 64, ping/telnet can not work.
Because no DATA could be sent. 

Moreover, we would like to know that
1) The cause that status of eth0 on host becomes linkdown, 
   when we set mtu less than 64.

2) How to recover eth0.
Comment 7 Harald Hoyer 2005-01-14 04:40:05 EST
if you have a Red Hat support contract, please ask your Red Hat
support contact. This is not Issue Tracker, or any other support forum.

Note You need to log in before you can comment on or make changes to this bug.